/*
 * @Author: micky 1254597151@qq.com
 * @Date: 2023-08-14 15:56:31
 * @LastEditors: micky 1254597151@qq.com
 * @LastEditTime: 2023-11-09 17:18:09
 * @FilePath: \housekeeping-admin\src\api\master_worker\index.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import request from '@/utils/request'

// 师傅列表
export function apiMasterWorkerLists(params: any) {
    return request.post({ url: '/staff/list', params })
}

// 师傅详情
export function apiMasterWorkerDetail(params: any) {
    return request.get({ url: '/staff/detail', params })
}

// 师傅添加
export function apiMasterWorkerAdd(params: any) {
    return request.post({ url: '/staff/add', params })
}

// 师傅编辑
export function apiMasterWorkerEdit(params: any) {
    return request.post({ url: '/staff/edit', params })
}

// 师傅状态
export function apiMasterWorkerStatusEdit(params: any) {
    return request.post({ url: '/staff/receiveOrderStatus', params })
}

// 师傅删除
export function apiMasterWorkerDel(params: any) {
    return request.get({ url: '/staff/del', params })
}

// 查询选择的服务区域
export function apiMasterWorkerArea(params: any) {
    return request.get({ url: '/serviceAreaStaff/list', params })
}

// 单独服务区域添加
export function apiMasterWorkerAreaAdd(params: any) {
    return request.post({ url: '/serviceAreaStaff/edit', params })
}
// 师傅申请列表
export function apiMasterWorkerApply(params: any) {
    return request.get({ url: '/StaffApplyFor/list', params })
}
// 师傅审核申请
export function apiMasterWorkerApplyAgreement(params: any) {
    return request.post({ url: '/StaffApplyFor/checkStaffApplyFor', params })
}
// 师傅资料详情
export function apiMasterWorkerAuthDetail(params: any) {
    return request.get({ url: '/StaffApplyFor/detail', params })
}
// 师傅体检报告申请列表
export function apiMasterWorkerPhysical(params: any) {
    return request.get({ url: '/physical/examination/list', params })
}
// 师傅审核体检报告申请
export function apiMasterWorkerPhysicalAgreement(params: any) {
    return request.post({ url: '/physical/examination/checkApplyFor', params })
}
// 未绑定师傅用户列表
export function apiUserNotStaff(params: any) {
    return request.get({ url: '/user/getNotBindingStaffUser', params })
}
// 文件上传
export function apiUploadFile(params: any) {
    return request.post({ url: '/common/upload/image', params, headers: { 'Content-Type': 'multipart/form-data' } })
}
// 申诉列表
export function apiFeedbackList(params: any) {
    return request.get({ url: '/feedback/list', params })
}
// 删除申诉
export function apiFeedbackDel(params: any) {
    return request.post({ url: '/feedback/del', params })
}
// 审核申诉
export function apiFeedbackAgreement(params: any) {
    return request.post({ url: '/feedback/checkFeedback', params })
}
// 师傅退单规则
export function apiOrderRule(params: any) {
    return request.post({ url: '/cancel/order/config/add', params })
}
// 获取设置规则列表
export function apiRuleList(params: any) {
    return request.get({ url: '/cancel/order/config/list', params })
}
// 师傅改派单列表
export function apiStaffCancelOrderList(params: any) {
    return request.get({ url: '/reassignment/list', params })
}
// 获取未上传体检报告师傅
export function apiStaffUnUploadPdfList(params: any) {
    return request.get({ url: '/staff/getNotPhysicalExaminationStaff', params })
}
// 师傅提交体检报告
export function apiStaffPhysical(params: any) {
    return request.post({ url: '/physical/examination/uploadPhysicalExamination', params })
}

export function apiStaffIsOperationalUpdate(params: any) {
    return request.post({ url: '/staff/updateStaffOperationalStatus', params })
}
